config/routes.rb
Rails.application.routes.draw do
  resources :strength_trainings
  resources :endurance_trainings
  resources :strength_trainings
  resources :endurance_trainings
  resources :strength_trainings
  resources :strength_trainings
  resources :endurance_trainings
  resources :trainings
  resources :statistic_entries
  resources :training_days
  resources :users

  get 'weekoverview/index'
  post '/weekoverview/index', to: 'weekoverview#index'

  get 'trainings/new/:date', to: 'trainings#new'

  get 'statistic_entries/new/:date', to: 'statistic_entries#new'

  get 'sessions/new'
  get    'help'    => 'static_pages#help'
  get    'about'   => 'static_pages#about'
  get    'contact' => 'static_pages#contact'
  get    'signup'  => 'users#new'
  get    'login'   => 'sessions#new'
  post   'login'   => 'sessions#create'
  delete 'logout'  => 'sessions#destroy'

  root :to => 'sessions#new'

end

app/models/strength_training.rb
class StrengthTraining < Training
end

app/controllers/strength_trainings_controller.rb
class StrengthTrainingsController < ApplicationController
  before_action :set_strength_training, only: [:show, :edit, :update, :destroy]

  # GET /strength_trainings
  # GET /strength_trainings.json
  def index
    @strength_trainings = StrengthTraining.all
  end

  # GET /strength_trainings/1
  # GET /strength_trainings/1.json
  def show
  end

  # GET /strength_trainings/new
  def new
    @strength_training = StrengthTraining.new
  end

  # GET /strength_trainings/1/edit
  def edit
  end

  # POST /strength_trainings
  # POST /strength_trainings.json
  def create
    @strength_training = StrengthTraining.new(strength_training_params)

    respond_to do |format|
      if @strength_training.save
        format.html { redirect_to @strength_training, notice: 'Strength training was successfully created.' }
        format.json { render :show, status: :created, location: @strength_training }
      else
        format.html { render :new }
        format.json { render json: @strength_training.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /strength_trainings/1
  # PATCH/PUT /strength_trainings/1.json
  def update
    respond_to do |format|
      if @strength_training.update(strength_training_params)
        format.html { redirect_to @strength_training, notice: 'Strength training was successfully updated.' }
        format.json { render :show, status: :ok, location: @strength_training }
      else
        format.html { render :edit }
        format.json { render json: @strength_training.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /strength_trainings/1
  # DELETE /strength_trainings/1.json
  def destroy
    @strength_training.destroy
    respond_to do |format|
      format.html { redirect_to weekoverview_index_url, notice: 'Strength training was successfully destroyed.' }
      format.json { head :no_content }
    end
  end


  private
    # Use callbacks to share common setup or constraints between actions.
    def set_strength_training
      @strength_training = StrengthTraining.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def strength_training_params
      params.require(:strength_training).permit(:name, :note, :sets, :reruns, :weight)
    end
end

app/helpers/strength_trainings_helper.rb
module StrengthTrainingsHelper
end

app/views/strength_trainings/_form.html.erb
<%= form_for(@strength_training) do |f| %>
    <% if @strength_training.errors.any? %>
        <div id="error_explanation">
          <h2><%= pluralize(@strength_training.errors.count, "error") %> prohibited this strength_training from being
            saved:</h2>

          <ul>
            <% @strength_training.errors.full_messages.each do |message| %>
                <li><%= message %></li>
            <% end %>
          </ul>
        </div>
    <% end %>

    <div class="field">
      <%= f.label :name %><br>
      <%= f.text_field :name %>
    </div>

    <div class="field">
      <%= f.label :note %><br>
      <%= f.text_area :note %>
    </div>

    <div class="field">
      <%= f.label :sets %><br>
      <%= f.number_field :sets %>
    </div>
    <div class="field">
      <%= f.label :weight %><br>
      <%= f.number_field :weight %>
    </div>
    <div class="field">
      <%= f.label :reruns %><br>
      <%= f.number_field :reruns %>
    </div>
    <div class="actions">
      <%= f.submit :class => 'btn btn-primary' %>
    </div>
<% end %>

app/views/strength_trainings/edit.html.erb
<%= render "layouts/header" %>
<div class="row" style="margin: 1%">
  <div class="col-md-6 col-md-offset-3 panel-group ">
    <div class="panel panel-primary">
      <div class="panel-heading"><h2>Edit StrengthTraining</h2></div>
      <div class="panel-body">
        <%= render 'form' %>
      </div>
      <div style="float: right">
        <%= link_to 'Show', @strength_training, :class => 'btn btn-info'  %>
        <%= link_to 'Destroy', @strength_training, method: :delete, data: { confirm: 'Are you sure?' } , :class => 'btn btn-danger' %>
        <%= link_to 'Back', weekoverview_index_path , :class => 'btn btn-info' %>
      </div>
    </div>
  </div>
</div>

app/views/strength_trainings/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Listing Strength Trainings</h1>

<table>
  <thead>
    <tr>
      <th>Sets</th>
      <th>Weight</th>
      <th>Reruns</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @strength_trainings.each do |strength_training| %>
      <tr>
        <td><%= strength_training.sets %></td>
        <td><%= strength_training.weight %></td>
        <td><%= strength_training.reruns %></td>
        <td><%= link_to 'Show', strength_training %></td>
        <td><%= link_to 'Edit', edit_strength_training_path(strength_training) %></td>
        <td><%= link_to 'Destroy', strength_training, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Strength training', new_strength_training_path %>

app/views/strength_trainings/new.html.erb
<h1>New Strength Training</h1>

<%= render 'form' %>

<%= link_to 'Back', strength_trainings_path , :class => 'btn btn-info' %>

app/views/strength_trainings/show.html.erb
<%= render "layouts/header" %>
<div class="row" style="margin: 1%">
  <div class="col-md-6 col-md-offset-3 panel-group ">
    <div class="panel panel-primary">
      <div class="panel-heading"><h2>StrengthTraining </h2></div>
      <div class="panel-body">

        <p>
          <strong>Name:</strong>
          <%= @strength_training.name %>
        </p>

        <p>
          <strong>Note:</strong>
          <%= @strength_training.note %>
        </p>

        <p>
          <strong>Sets:</strong>
          <%= @strength_training.sets %>
        </p>

        <p>
          <strong>Weight:</strong>
          <%= @strength_training.weight %>
        </p>

        <p>
          <strong>Reruns:</strong>
          <%= @strength_training.reruns %>
        </p>
      </div>
      <div style="float: right">
        <%= link_to 'Edit', edit_strength_training_path(@strength_training), :class => 'btn btn-info' %>
        <%= link_to 'Back', weekoverview_index_path, :class => 'btn btn-info' %>
      </div>

    </div>
  </div>
</div>